#ifndef w7Application_h
#define w7Application_h

class w7Ball {
	public:
		w7Ball();
		void reset();

		int x;
		int y;
		int size;

		int xrate;
		int yrate;
		int rate;
};

// =====================================

class w7Application {
	private:
		RECT old_stick;
		w7Ball old_ball;
	public:
		w7Application();
		
		void swayTheStick(int);
		void setStickPos(int);
		void swayTheBall();
		void setBallPos(int, int);
		RECT getStickInvRect();
		RECT getBallInvRect();
		int drawStick(HDC);
		int drawBall(HDC);
		bool dispatchPoint();
		void dispatchStickCollision();
		void dispatchWallCollision();
		void alignStickToBottom();

		RECT convertCoordsL2D(HWND, RECT);
		RECT convertCoordsD2L(HWND, RECT);

		RECT stick;
		RECT remote_stick;
		w7Ball ball;

		RECT field;

		int wnd_width;
		int wnd_min_height;
		int wnd_max_height;

		bool host;
		HWND clientWnd;
		HWND hostWnd;

		int local_score;
		int remote_score;
};

#endif